☝️Small business or a startup? See if you qualify for our special offer.
+
List of all demos

React Pivot Table: flat view

A flat table is a form of Flexmonster Pivot that displays raw data in an Excel-like data grid view.


    import React from "react";
    import * as FlexmonsterReact from "react-flexmonster";
    
    class PivotTableDemo extends React.Component {
      render() {
        return (
          <>
            <div className="App">
              <FlexmonsterReact.Pivot
                componentFolder="https://cdn.flexmonster.com/"
                height={370}
                report={{
                  dataSource: {
                    type: "csv",
                    filename: "data/data.csv",
                  },
                  options: {
                    grid: {
                      type: "flat",
                    },
                  },
                  slice: {
                    columns: [
                      {
                        uniqueName: "Country",
                      },
                      {
                        uniqueName: "Category",
                      },
                      {
                        uniqueName: "Color",
                      },
                      {
                        uniqueName: "Price",
                      },
                      {
                        uniqueName: "Discount",
                      },
                    ],
                  },
                  formats: [
                    {
                      name: "",
                      thousandsSeparator: ",",
                      decimalSeparator: ".",
                      decimalPlaces: 2,
                      currencySymbol: "$",
                    },
                  ],
                }}
              />
            </div>
          </>
        );
      }
    }
    
    export default PivotTableDemo;
    

    This neat non-hierarchical React grid view lets end users show CSV and JSON data in a way that data come from the data source - nonaggregated values, row-by-row .

    Though the way of displaying data is different, the features of the flat grid are the same as for other layouts. Via the Field List, an end-user can define slice and configuration, order, filter, and sort data. It is also possible to show grand totals of the measures and put them at the top row of the table.

    Multi-column sorting makes this form distinct from others: use Ctrl + click (Command + click on macOS) to sort the records by multiple fields.

    To quickly change the view angle of your report, you can switch to the classic (tabular) or compact forms.

☝️Small business or a startup? See if you qualify for our special offer.
+
List of all demos

Angular Pivot Table: flat view

If you need to display initial data in an Excel-like data grid view with your Angular reporting library use the flat table form of Flexmonster Pivot Table.


    import { Component, OnInit } from "@angular/core";
    import { FlexmonsterPivot } from "ng-flexmonster";
    
    @Component({
      selector: "pivotComponent",
      templateUrl: "./pivot.component.html",
      styleUrls: ["./pivot.component.css"],
    })
    export class PivotComponent implements OnInit {
      public report: Object = {
        dataSource: {
          type: "csv",
          filename: "data/data.csv",
        },
        options: {
          grid: {
            type: "flat",
          },
        },
        slice: {
          columns: [
            {
              uniqueName: "Country",
            },
            {
              uniqueName: "Category",
            },
            {
              uniqueName: "Color",
            },
            {
              uniqueName: "Price",
            },
            {
              uniqueName: "Discount",
            },
          ],
        },
       formats: [{
          name: "",
          thousandsSeparator: ",",
          decimalSeparator: ".",
          decimalPlaces: 2,
          currencySymbol: "$",
        }],
      };
    
      constructor() {}
    
      ngOnInit(): void {}
    }
    
    <fm-pivot
      [componentFolder]="'https://cdn.flexmonster.com/'"
      [height]="370"
      [report]="report">
    </fm-pivot>
    

    Flat table view is a minimalistic way to show CSV or JSON data in Angular in a row-by-row manner, so the end-user sees his data the same way as the records come from the data source in nonaggregated form.

    The core features of the Angular flat grid are the same as for the classic (tabular) and compact layouts: filter, sort, and reset the configurations of the data via drag & drop or the Field List. Also, it has such a unique feature as multi-column sorting: use Ctrl + click (Command + click on macOS) to sort the records by multiple fields.

    To quickly change the view angle of your report, you can switch to the classic (tabular) or compact forms and gain even more insights using the same Angular data visualization solution.